Skip to main content
PATCH
/
v1
/
orgs
/
{org_id}
/
platform-tokens
/
{token_id}
/
revoke
Revoke Platform Token
curl --request PATCH \
  --url https://api.letpiper.com/v1/orgs/{org_id}/platform-tokens/{token_id}/revoke \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "permissions": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "token_preview": "<string>"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
token_id
string<uuid>
required

Response

Successful Response

Schema for reading platform token details (without the actual token).

id
string<uuid>
required
name
string
required
organization_id
string<uuid>
required
permissions
string[]
required
expires_at
string<date-time> | null
required
last_used_at
string<date-time> | null
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
token_preview
string
required

Masked preview of the token (e.g., 'pat_abc...xyz')